Request
Endpoint: !AutoRevokePAC
https://secure.trust-provider.com/products!AutoRevokePAC
Request parameters
The following table displays the required, optional, and conditional parameters.
| Variable Name | Requirement | Type | Max.Length | Description |
|---|---|---|---|---|
|
required |
string |
64 chars |
Your account username. This value is case sensitive. |
|
required |
string |
128 chars |
Your account password. This value is case sensitive. |
|
optional |
integer |
If specified, this is the account ID of a Reseller account.
|
|
|
required |
integer |
The order number for the PAC order. |
|
|
required |
string |
1024 chars |
A comment describing the reason for revocation. This information is used for your reference only. No action by Sectigo will be taken based on this information. |
|
required |
integer |
Specifies the code for the revocation reason. The possible values are:
If omitted, the value defaults to |
|
|
optional |
char |
1 char |
Indicates whether the revocation is a test operation. The possible values are:
If omitted, the value defaults to |
Sample request
The following example shows a sample request to the AutoRevokePAC API endpoint with all required parameters.
curl --location 'https://secure.trust-provider.com/products/!AutoRevokePAC' \
--header 'Content-Type: application/x-www-form-urlencoded' \
--data-urlencode 'loginName=login_name' \
--data-urlencode 'loginPassword=login_password' \
--data-urlencode 'orderNumber=order_number' \
--data-urlencode 'revocationReason=revocation_reason'
Response
The request is successful when the server returns a response with the status code 0.
Any errorCode less than 0 indicates an error condition.
|
The list of codes and their descriptions can be found in Error codes. |
The response format is restricted to the newline-delimited parameters.
Error codes
The following table outlines error responses returned by the AutoRevokePAC API endpoint.
Each error response consists of an errorCode and an errorMessage indicating why the request failed.
| Status Code | Error message | Description |
|---|---|---|
|
|
The request must use HTTPS protocol. |
|
|
The provided argument is not recognized. |
|
|
The required argument is missing from the request. |
|
|
The argument value does not meet validation requirements. |
|
|
An unknown error occurred. |
|
|
The user does not have permission for the requested context. |
|
|
The request method should be |
|
|
The requested certificate is in a rejected state. |
|
|
The requested certificate is in a revoked state. |
|
|
The required certificate is in the process of being issued. |
|
|
The required certificate is not in a state that allows it to be revoked. |